<?php

use Phinx\Db\Adapter\MysqlAdapter;
use think\migration\Migrator;

class CreateArticle extends Migrator
{
    /**
     * Change Method.
     *
     * Write your reversible migrations using this method.
     *
     * More information on writing migrations is available here:
     * http://docs.phinx.org/en/latest/migrations.html#the-abstractmigration-class
     *
     * The following commands can be used in this method and Phinx will
     * automatically reverse them when rolling back:
     *
     *    createTable
     *    renameTable
     *    addColumn
     *    renameColumn
     *    addIndex
     *    addForeignKey
     *
     * Remember to call "create()" or "update()" and NOT "save()" when working
     * with the Table class.
     */
    public function change()
    {
        $table = $this->table('article', ['engine' => 'MyISAM', 'comment' => '文章表']);
        $table->addColumn('language_id', 'integer', ['signed' => false, 'null' => false, 'comment' => '语言ID'])
            ->addColumn('category_id', 'integer', ['signed' => false, 'null' => false, 'comment' => '分类ID'])
            ->addColumn('title', 'string', ['limit' => 128, 'null' => false, 'comment' => '标题'])
            ->addColumn('author', 'string', ['limit' => 64, 'null' => true, 'default' => null, 'comment' => '作者'])
            ->addColumn('source', 'string', ['limit' => 64, 'null' => true, 'default' => null, 'comment' => '来源'])
            ->addColumn('image', 'string', ['limit' => 125, 'null' => true, 'default' => null, 'comment' => '封面图片'])
            ->addColumn('desc', 'string', ['limit' => 512, 'null' => true, 'default' => null, 'comment' => '描述信息'])
            ->addColumn('recommend', 'boolean', ['null' => false, 'default' => 0, 'comment' => '是否推荐:1是,0否'])
            ->addColumn('sort', 'integer', ['null' => false, 'default' => 0, 'comment' => '排序'])
            ->addColumn('link', 'string', ['limit' => 255, 'null' => true, 'default' => null, 'comment' => '外链'])
            ->addColumn('content', MysqlAdapter::PHINX_TYPE_TEXT, ['limit' => MysqlAdapter::TEXT_LONG, 'null' => true, 'default' => null, 'comment' => '内容'])
            ->addColumn('view_count', 'integer', ['null' => false, 'default' => 0, 'comment' => '浏览量'])
            ->addColumn('praise_count', 'integer', ['null' => false, 'default' => 0, 'comment' => '点赞量'])
            ->addColumn('seo_title', 'string', ['limit' => 255, 'null' => true, 'default' => null, 'comment' => 'SEO标题'])
            ->addColumn('seo_keywords', 'string', ['limit' => 512, 'null' => true, 'default' => null, 'comment' => 'SEO关键字'])
            ->addColumn('seo_desc', 'string', ['limit' => 512, 'null' => true, 'default' => null, 'comment' => 'SEO描述'])
            ->addColumn('release_time', 'datetime', ['null' => true, 'default' => null, 'comment' => '发布时间'])
            ->addColumn('created_at', 'timestamp', ['null' => false, 'default' => 'CURRENT_TIMESTAMP', 'comment' => '创建时间'])
            ->addColumn('updated_at', 'timestamp', ['null' => false, 'default' => 'CURRENT_TIMESTAMP', 'update' => 'CURRENT_TIMESTAMP', 'comment' => '更新时间'])
            ->addColumn('deleted_at', 'timestamp', ['null' => true, 'comment' => '删除时间'])
            ->create();
    }
}
